Subject: [Bug 23] lock discovery vs shared locks

From: [email-masked]
Date: Fri, 2 Dec 2005 13:59:14 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=23

------- Additional Comments From [email-masked]  2005-12-02 13:59 -------
BTW another part of this bug (which should have been resolved FIXED if we had
split the bug out into two) was resolving Geoff's suggestion about what to have
in the lockdiscovery response to a LOCK request.  Geoff said:

> From a lock privacy perspective, putting all information about the 
> newly created lock in the lockdiscovery response to a LOCK 
> request is (of course) no problem, so requiring that is fine with me. 

> Perhaps the new text could require that full information about a LOCK 
> be returned in the lockdiscovery response to a LOCK, while information 
> about other locks is optional in the lockdiscovery response to a LOCK. 

This was in response to Jim Luther's explanation that his shipped client looked
for the lock token of the newly created lock in the LOCK response.

There were lots of +1's to this so I am amending the text for the next version.

------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.